Package com.io7m.idstore.protocol.admin

# Record Class IdACommandAdminSearchPrevious

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.IdACommandAdminSearchPrevious

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBCommandType`, `com.io7m.hibiscus.api.HBMessageType`, `IdACommandType<IdAResponseAdminSearchPrevious>`, `IdAMessageType`, `IdProtocolMessageType`

public record IdACommandAdminSearchPrevious() extends Record implements IdACommandType<IdAResponseAdminSearchPrevious>
Get the previous page of the admin listing.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdACommandAdminSearchPrevious()`
  Creates an instance of a `IdACommandAdminSearchPrevious` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Class<IdAResponseAdminSearchPrevious>`
  `responseClass()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdACommandAdminSearchPrevious

    public IdACommandAdminSearchPrevious()
    Creates an instance of a `IdACommandAdminSearchPrevious` record class.

- ## Method Details

  - ### responseClass

    public Class<IdAResponseAdminSearchPrevious> responseClass()
    Specified by:
      `responseClass` in interface `IdACommandType<IdAResponseAdminSearchPrevious>`
    Returns:
      The response type associated with this command

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.